APIAdministration

Replace an access role

PUT
/api/v1/roles/{id}

Authorization

bearerAuth roles.manage
headerAuthorizationBearer <API key or OAuth 2.1 access token>

Send Authorization: Bearer <credential>. Create API keys in AirTrail Security settings. OAuth clients use authorization code with PKCE S256 and a resource identifier matching /api/v1.

Scope: roles.manage

Path Parameters

id*string

Request Body

application/json
  1. body
name*string
Lengthlength <= 50
description?|
Lengthlength <= 200
permissions*array<string>

Response Body

Role updated.

application/json
  1. response
data*
Example Request
curl -X PUT 'https://your-instance.example/api/v1/roles/string' \  -H 'Content-Type: application/json' \  -d '{  "name": "string",  "permissions": [    "string"  ]}'
Example Response
{  "data": {}}